<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns="http://java.sun.com/xml/ns/persistence"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0">
    <persistence-unit name="PersistenceUnitTestForStatistics" transaction-type="RESOURCE_LOCAL">

        <provider>org.hibernate.ejb.HibernatePersistence</provider>

        <class>net.ihe.gazelle.common.model.ApplicationPreference</class>
        <class>net.ihe.gazelle.evsclient.domain.menu.EVSMenuGroup</class>
        <class>net.ihe.gazelle.evsclient.domain.processing.AbstractProcessing</class>
        <class>net.ihe.gazelle.evsclient.domain.processing.OtherCallerMetadata</class>
        <class>net.ihe.gazelle.evsclient.domain.processing.ProxyCallerMetadata</class>
        <class>net.ihe.gazelle.evsclient.domain.processing.HandledObject</class>
        <class>net.ihe.gazelle.evsclient.domain.processing.SharingMetadata</class>
        <class>net.ihe.gazelle.evsclient.domain.processing.OwnerMetadata</class>
        <class>net.ihe.gazelle.evsclient.domain.OIDSequence</class>
        <class>net.ihe.gazelle.evsclient.domain.validation.Validation</class>
        <class>net.ihe.gazelle.evsclient.domain.validationservice.configuration.ReferencedStandard</class>
        <class>net.ihe.gazelle.evsclient.domain.validationservice.configuration.ValidationServiceConf</class>
        <class>net.ihe.gazelle.evsclient.domain.validationservice.configuration.reports.ValidationReportType</class>
        <class>net.ihe.gazelle.evsclient.domain.validationservice.configuration.stylesheets.NamedStylesheet</class>
        <class>net.ihe.gazelle.evsclient.domain.validation.ReferencedStandardRef</class>
        <class>net.ihe.gazelle.evsclient.domain.validation.Report</class>
        <class>net.ihe.gazelle.evsclient.interlay.dao.HandledObjectFile</class>
        <class>net.ihe.gazelle.evsclient.interlay.dao.validation.ReportFile</class>
        <class>net.ihe.gazelle.evsclient.interlay.dao.validation.OriginalReportFile</class>
        <class>net.ihe.gazelle.evsclient.interlay.dao.validation.ValidationReportFile</class>
        <class>net.ihe.gazelle.evsclient.domain.statistics.IpLoc</class>

        <exclude-unlisted-classes>true</exclude-unlisted-classes>
        <properties>
            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:h2:mem:test;MODE=PostgreSQL;DATABASE_TO_LOWER=TRUE"/>
            <property name="javax.persistence.jdbc.driver" value="org.h2.Driver"/>

            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.H2Dialect"/>
            <property name="hibernate.hbm2ddl.auto" value="create" />
            <property name="hibernate.hbm2ddl.import_files" value ="import-ut.sql"/>
            <property name="hibernate.format_sql" value="false"/>
            <property name="hibernate.show_sql" value="false"/>
            <property name="hibernate.generate_statistics" value="false"/>
            <property name="hibernate.use_sql_comments" value="false"/>
            <property name="hibernate.cache.use_second_level_cache" value="false"/>

        </properties>
    </persistence-unit>


</persistence>